From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-office/orage/
Date: Mon, 31 Mar 2025 07:10:24 +0000 (UTC) [thread overview]
Message-ID: <1743405006.f65a4b42d2cb232e3a611f94d904883c6752004f.mgorny@gentoo> (raw)
commit: f65a4b42d2cb232e3a611f94d904883c6752004f
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 31 06:04:20 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Mar 31 07:10:06 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f65a4b42
app-office/orage: Bump to 4.20.1
Closes: https://bugs.gentoo.org/951646
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
app-office/orage/Manifest | 1 +
app-office/orage/orage-4.20.1.ebuild | 59 ++++++++++++++++++++++++++++++++++++
2 files changed, 60 insertions(+)
diff --git a/app-office/orage/Manifest b/app-office/orage/Manifest
index d1611fd0a015..2ba68da80059 100644
--- a/app-office/orage/Manifest
+++ b/app-office/orage/Manifest
@@ -1,2 +1,3 @@
DIST orage-4.18.0.tar.bz2 1418645 BLAKE2B 533f55d4a6e69c0458fb01a8b3fd6a20f30b409ddd1d2eb65f00c321daa441d7e99e154ee4558160fc3e387e2ddb45a2ee0c37e6814a74f40e724fd748cd2fa5 SHA512 7760219f64ac3e2ba6d73541a626a0c9411b93268c007f2af5d8080a3a3c0b2a08e00dd96b7794b688aa83c567150c02033b9ba46bf38cd71d3d890e8d1e45ad
DIST orage-4.20.0.tar.bz2 2326936 BLAKE2B 7729605ea09ef29f020564826729303c8f717acc4229d8a99347a2b112e1c3ab62e6b061ea58e82881e4aee3b5af61b9757bf229e8219c2b79c47427a55150bb SHA512 f1e66e048cdc817b2bc07585a3d28e4e8c3b58fa8b1b74bea4c3d72715ac90d66a4bf1532e726123c31ac8511888559b7c980dc3cbed099759e3cf17887fb7cd
+DIST orage-4.20.1.tar.bz2 2353452 BLAKE2B 20f22801f6a8c8d7b6f462663c0bf7daf459a7b4b152967a96c15187c6e18d6c02c962cee6484ed06ee2d8cff2d24acb6a9ab2ea28a204b36ad15bffbe26389c SHA512 b0f5b5e35be430b36dba4ff9dc2330b7177a95fa39ed920a4a1ef766c1a1503d25c1ab48a9d2182a3d5d358ba4f11dc79b8f5fc0b26b5bb373b8d302b00e7bc2
diff --git a/app-office/orage/orage-4.20.1.ebuild b/app-office/orage/orage-4.20.1.ebuild
new file mode 100644
index 000000000000..a4c69b51fd46
--- /dev/null
+++ b/app-office/orage/orage-4.20.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="A calendar application for Xfce"
+HOMEPAGE="
+ https://docs.xfce.org/apps/orage/start
+ https://gitlab.xfce.org/apps/orage/
+"
+SRC_URI="https://archive.xfce.org/src/apps/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="libnotify"
+
+DEPEND="
+ >=dev-libs/glib-2.58.0
+ >=dev-libs/libical-3.0.16:=
+ >=x11-libs/gtk+-3.24.0:3=
+ x11-libs/libX11
+ >=xfce-base/libxfce4ui-4.20.0:=
+ >=xfce-base/libxfce4util-4.20.0:=
+ libnotify? ( >=x11-libs/libnotify-0.7.0:= )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ sys-devel/gettext
+ >=dev-build/libtool-2.2.6
+ virtual/pkgconfig
+"
+
+src_configure() {
+ local myconf=(
+ $(use_enable libnotify)
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
next reply other threads:[~2025-03-31 7:10 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-03-31 7:10 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-25 11:00 [gentoo-commits] repo/gentoo:master commit in: app-office/orage/ Sam James
2025-01-25 10:52 Sam James
2025-01-25 8:54 Sam James
2025-01-07 15:03 Michał Górny
2024-06-21 4:23 Arthur Zamarin
2024-02-10 6:58 Ionen Wolkens
2024-02-10 6:58 Ionen Wolkens
2024-01-25 9:21 Sam James
2024-01-25 9:21 Sam James
2024-01-24 4:57 Ionen Wolkens
2024-01-23 5:07 Ionen Wolkens
2024-01-07 5:57 WANG Xuerui
2024-01-05 13:21 Jakov Smolić
2023-10-23 1:44 Sam James
2023-02-09 12:53 Michał Górny
2020-07-15 14:32 Michał Górny
2018-02-12 20:48 Andreas Sturmlechner
2018-01-10 21:22 Sergei Trofimovich
2018-01-07 20:32 Sergei Trofimovich
2018-01-07 13:17 Sergei Trofimovich
2018-01-06 5:05 Thomas Deutschmann
2018-01-05 10:27 Mikle Kolyada
2017-07-09 21:41 Michał Górny
2017-07-09 21:41 Michał Górny
2017-07-09 21:41 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1743405006.f65a4b42d2cb232e3a611f94d904883c6752004f.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox